<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>220383</bug_id>
          
          <creation_ts>2008-05-05 15:20 0000</creation_ts>
          <short_desc>sys-block/gparted-0.3.7 : gksu dependancy not really needed</short_desc>
          <delta_ts>2008-06-15 18:56:27 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>mattepiu@gentoo.org</reporter>
          <assigned_to>gnome@gentoo.org</assigned_to>
          <cc>nulleight@gmail.com</cc>

      

      
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2008-05-05 15:20:06 0000</bug_when>
            <thetext>gksu is not really needed,and pulls in some gnome (not gtk!) deps:
gnome-base/gconf, gnome-base/gnome-keyring, gnome-base/orbit, gnome-base/libgtop .

Could it be made optional (under gnome use flag or whatever else you like)
please?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2008-05-05 15:30:21 0000</bug_when>
            <thetext>Created an attachment (id=151939)
gparted-0.3.7-ebuild.patch

proposed patch to ebuild</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>eva@gentoo.org</who>
            <bug_when>2008-05-05 16:18:09 0000</bug_when>
            <thetext>&gt; &quot;GParted is the Gnome Partition Editor&quot;

gksu has been added so that it&apos;s seemlessly integrated into the desktop like gdmsetup and some other gnome admin apps. Now why don&apos;t you want gksu ? It&apos;s lightweight compared to gtkmm. Please also add a emerge --tree gparted so I can better see your problem.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2008-05-05 19:23:03 0000</bug_when>
            <thetext>I don&apos;t have any problem and I just don&apos;t want any gnome dep, I&apos;m using kdesu,
I&apos;m using -gnome as useflag, and gparted doesn&apos;t needs any of these deps
(already tested the proposed ebuild, works flawlessy):

emerge -pv --tree gparted

[ebuild  N    ] sys-block/gparted-0.3.7  USE=&quot;fat ntfs reiserfs xfs -debug -hfs -jfs -reiser4&quot; 0 kB
[ebuild  N    ]  x11-libs/gksu-2.0.0  USE=&quot;-debug -doc -gnome&quot; 431 kB
[ebuild  N    ]   x11-libs/libgksu-2.0.5  USE=&quot;nls -debug -doc&quot; 486 kB
[ebuild  N    ]    gnome-base/gnome-keyring-2.22.1  USE=&quot;hal pam -debug -doc -test&quot; 938 kB
[ebuild  N    ]     gnome-base/gconf-2.22.0  USE=&quot;-debug -doc -ldap&quot; 1,384 kB
[ebuild  N    ]      gnome-base/orbit-2.14.12  USE=&quot;-debug -doc&quot; 729 kB
[ebuild  N    ]    gnome-base/libgtop-2.22.1  USE=&quot;-debug&quot; 764 kB
[ebuild  N    ]    x11-libs/startup-notification-0.9  221 kB</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>eva@gentoo.org</who>
            <bug_when>2008-05-05 20:19:56 0000</bug_when>
            <thetext>well I don&apos;t see anything shoking in these deps besides gnome-keyring which should probably be optional (but that&apos;s another story) the rest is non gui only.

I&apos;ll probably go for USE=&quot;+gnome&quot; but one last question just ouf of interest, why aren&apos;t you using qtparted if you don&apos;t want anything gnome ?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2008-05-06 14:41:50 0000</bug_when>
            <thetext>Sadly, qtparted is nearly unmaintained, just 2 releases since 2004, see: http://qtparted.sourceforge.net/changes.en.html

also, I&apos;m using gtk apps, what I have blocked is just gconf and such
(too much ebuilds, too much little deps to keep track of, for me...)</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>i92guboj@gentoo.org</who>
            <bug_when>2008-05-12 00:02:58 0000</bug_when>
            <thetext>Qtparted is nowhere near gparted.
Qtparted is unmaintained, and it never worked well.

To start with, why should we have dependencies installed if they are not really required? It might seem trivial for you, but this is the way I see it:

========================
# emerge -uva gparted

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-kernel/linux-headers-2.6.25-r2 [2.6.25-r1] 9 kB 
[ebuild  N    ] gnome-base/gnome-common-2.20.0  USE=&quot;-debug&quot; 63 kB 
[ebuild  N    ] app-admin/eselect-esd-20060719  2 kB 
[ebuild     U ] app-editors/nano-2.1.1-r1 [2.1.1] USE=&quot;ncurses nls spell unicode -debug -justify -minimal -slang&quot; 0 kB 
[ebuild  N    ] app-text/rarian-0.8.0-r1  USE=&quot;-debug&quot; 331 kB 
[ebuild  N    ] app-text/scrollkeeper-9999  0 kB 
[ebuild     U ] app-admin/sudo-1.6.9_p16 [1.6.9_p15] USE=&quot;pam -ldap -offensive (-selinux) -skey&quot; 580 kB 
[ebuild     U ] sys-apps/openrc-0.2.4 [0.2.3] USE=&quot;ncurses pam unicode -debug&quot; 140 kB 
[ebuild     U ] dev-lang/perl-5.8.8-r5 [5.8.8-r4] USE=&quot;-berkdb -build -debug -doc -gdbm -ithreads -perlsuid&quot; 0 kB 
[ebuild  N    ] dev-perl/XML-NamespaceSupport-1.09  8 kB 
[ebuild  N    ] perl-core/Storable-2.16  170 kB 
[ebuild  N    ] perl-core/Test-Simple-0.80  80 kB 
[ebuild     U ] perl-core/Test-Harness-3.10 [2.64] 0 kB 
[ebuild  N    ] dev-perl/XML-LibXML-Common-0.13  13 kB 
[ebuild  N    ] dev-perl/XML-SAX-0.16  59 kB 
[ebuild  N    ] virtual/perl-Test-Simple-0.80  0 kB 
[ebuild  N    ] virtual/perl-Storable-2.16  0 kB 
[ebuild  N    ] dev-perl/XML-LibXML-1.66  271 kB 
[ebuild  N    ] dev-perl/XML-Simple-2.18  70 kB 
[ebuild  N    ] x11-misc/icon-naming-utils-0.8.6  68 kB 
[ebuild  N    ] gnome-base/gnome-mime-data-2.18.0  USE=&quot;-debug&quot; 593 kB 
[ebuild  N    ] x11-themes/gnome-icon-theme-2.22.0  USE=&quot;-debug&quot; 3,581 kB 
[ebuild     U ] x11-misc/util-macros-1.1.6-r1 [1.1.6] 0 kB 
[ebuild     U ] dev-libs/libusb-0.1.12-r2 [0.1.12-r1] USE=&quot;-debug -doc&quot; 0 kB 
[ebuild  N    ] sys-apps/acl-2.2.47  USE=&quot;nls (-nfs)&quot; 152 kB 
[ebuild  N    ] app-text/sgml-common-0.6.3-r5  75 kB 
[ebuild  N    ] media-sound/esound-0.2.38-r1  USE=&quot;ipv6 -alsa -debug -doc -tcpd&quot; 385 kB 
[ebuild     U ] net-libs/gnutls-2.2.3 [2.2.2] USE=&quot;nls zlib -bindist -doc -guile -lzo&quot; 4,805 kB 
[ebuild     U ] x11-libs/xtrans-1.2 [1.0.4] USE=&quot;-debug&quot; 0 kB 
[ebuild  N    ] app-text/docbook-xml-dtd-4.4-r1  94 kB 
[ebuild  N    ] app-text/gnome-doc-utils-0.12.2  USE=&quot;-debug&quot; 582 kB 
[ebuild     U ] x11-apps/xkbcomp-1.0.5 [1.0.4] USE=&quot;-debug&quot; 197 kB 
[ebuild  N    ] gnome-base/libgtop-2.22.1  USE=&quot;-debug&quot; 764 kB 
[ebuild  N    ] net-libs/libsoup-2.4.1  USE=&quot;ssl -debug -doc&quot; 614 kB 
[ebuild  N    ] gnome-base/libbonobo-2.22.0  USE=&quot;-debug -doc&quot; 1,412 kB 
[ebuild  N    ] gnome-base/gail-1.22.1  USE=&quot;-debug -doc&quot; 659 kB 
[ebuild     U ] x11-apps/xinit-1.0.8-r3 [1.0.8-r2] USE=&quot;hal minimal pam -debug&quot; 0 kB 
[ebuild  N    ] gnome-base/gnome-vfs-2.22.0  USE=&quot;acl fam ipv6 kerberos -avahi -debug -doc -gnutls -hal -samba -ssl&quot; 1,895 kB 
[ebuild  N    ] gnome-base/libgnome-2.22.0  USE=&quot;esd -debug -doc&quot; 1,375 kB 
[ebuild  N    ] gnome-base/gvfs-0.2.3  USE=&quot;gnome hal -avahi -bluetooth -cdda -debug -doc -fuse -gnome-keyring -gphoto2 -samba&quot; 811 kB 
[ebuild  N    ] x11-libs/libgksu-2.0.5  USE=&quot;nls -debug -doc&quot; 486 kB 
[ebuild  N    ] gnome-base/libgnomecanvas-2.20.1.1  USE=&quot;X -debug -doc&quot; 570 kB 
[ebuild     U ] x11-drivers/xf86-video-nv-2.1.9 [2.1.8] USE=&quot;-debug&quot; 377 kB 
[ebuild  N    ] gnome-base/libbonoboui-2.22.0  USE=&quot;X -debug -doc&quot; 983 kB 
[ebuild  N    ] gnome-base/libgnomeui-2.22.1  USE=&quot;jpeg -debug -doc&quot; 1,417 kB 
[ebuild  N    ] gnome-base/gnome-desktop-2.22.1  USE=&quot;-debug -doc&quot; 1,410 kB 
[ebuild  N    ] gnome-base/eel-2.22.1  USE=&quot;X -debug&quot; 599 kB 
[ebuild  N    ] gnome-base/nautilus-2.22.2  USE=&quot;X -beagle -debug -gnome -tracker&quot; 4,915 kB 
[ebuild  N    ] x11-libs/gksu-2.0.0  USE=&quot;gnome -debug -doc&quot; 431 kB 
[ebuild     U ] sys-block/gparted-0.3.7 [0.3.6] USE=&quot;debug -fat -hfs -jfs -ntfs -reiser4 -reiserfs -xfs&quot; 554 kB 
[ebuild     UD] x11-drivers/nvidia-drivers-169.12 [173.08] USE=&quot;acpi custom-cflags gtk (-multilib)&quot; 15,263 kB [1=&gt;0]

Total: 51 packages (14 upgrades, 1 downgrade, 36 new), Size of downloads: 46,845 kB
========================

Besides some updates, most stuff in that list is marked as &apos;N&apos;, which basically menas that it&apos;s being pulled into my system by gparted.

There&apos;s absolutely no reason that justifies installing nautilus to get gparted. It&apos;s just nonsensical. I am not allergic to gnome nor gtk apps, but I don&apos;t feel like compiling a big monolith like nautilus every time that there&apos;s an update for it.

For now, I will overlay this and add a -gnome use flag there. But this should be fixed in portage.

Remember: that a given application&apos;s name start with a &apos;g&apos; doesn&apos;t mean that the name of your desktop or window manager has also to start with a &apos;g&apos;. And you should not force anyone to install gnome just because you think that the integration with gksu is a must.

I kindly ask for a new use flag :)</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>i92guboj@gentoo.org</who>
            <bug_when>2008-05-12 00:18:38 0000</bug_when>
            <thetext>Created an attachment (id=152885)
gparted-0.3.7.ebuild

Improved ebuild which also supports kdesu. Both can be turned on for those of use that don&apos;t need such things. It&apos;s a pure gtk program and it should not need gnome nor kde to run.

Regards.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>ford_prefect@gentoo.org</who>
            <bug_when>2008-05-26 11:22:22 0000</bug_when>
            <thetext>(In reply to comment #7)
&gt; Created an attachment (id=152885) [edit]
&gt; gparted-0.3.7.ebuild
&gt; 
&gt; Improved ebuild which also supports kdesu. Both can be turned on for those of
&gt; use that don&apos;t need such things. It&apos;s a pure gtk program and it should not need
&gt; gnome nor kde to run.

Could you provide a patch against the current ebuild in-tree instead? It makes review a lot simpler. Thanks.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nulleight@gmail.com</who>
            <bug_when>2008-06-14 11:25:32 0000</bug_when>
            <thetext>Here is the patch i did with 
`diff -Naur gparted-0.3.7.ebuild gparted-0.3.7-nogksudep.ebuild &gt; patchfile`
here is the `cat patchfile`:

--- gparted-0.3.7.ebuild        2008-05-04 13:43:14.000000000 +0200
+++ gparted-0.3.7-nogksudep.ebuild      2008-06-14 15:15:39.000000000 +0200
@@ -12,13 +12,14 @@
 LICENSE=&quot;GPL-2&quot;
 SLOT=&quot;0&quot;
 KEYWORDS=&quot;~amd64 ~ppc ~sparc ~x86&quot;
-IUSE=&quot;fat hfs jfs ntfs reiserfs reiser4 xfs&quot;
+IUSE=&quot;fat gnome hfs kde jfs ntfs reiserfs reiser4 xfs&quot;

 common_depends=&quot;&gt;=sys-apps/parted-1.7.1
                &gt;=dev-cpp/gtkmm-2.8.0&quot;

 RDEPEND=&quot;${common_depends}
-               x11-libs/gksu
+               gnome? ( x11-libs/gksu )
+               kde? ( kde-base/kdesu )
                fat? ( sys-fs/dosfstools )
                ntfs? ( sys-fs/ntfsprogs )
                hfs? ( sys-fs/hfsutils )
@@ -34,5 +35,17 @@
 src_unpack() {
        gnome2_src_unpack

-       sed -i &quot;s:Exec=:Exec=gksu :&quot; gparted.desktop.in.in
+       if use gnome
+       then
+               if use kde
+               then
+                       die &quot;Only one desktop might be enabled. Disable either gnome or kde.&quot;
+               fi
+               sed -i &quot;s:Exec=:Exec=gksu :&quot; gparted.desktop.in.in
+       fi
+
+       if use kde
+       then
+               sed -i &quot;s:Exec=:Exec=kdesu :&quot; gparted.desktop.in.in
+       fi
 }
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>ford_prefect@gentoo.org</who>
            <bug_when>2008-06-14 12:09:19 0000</bug_when>
            <thetext>This is just my opinion, but I think it is a bad thing that the ebuild dies if the user has both &apos;gnome&apos; and &apos;kde&apos; in USE. Perhaps the default should be to pick one (I&apos;m partial towards &apos;gksu&apos;) if both are selected and throow an ewarn or einfo stating that it is doing so.

Thoughts?</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nulleight@gmail.com</who>
            <bug_when>2008-06-14 13:52:37 0000</bug_when>
            <thetext>I also got this:
[blocks B     ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesu-3.5.9)
[blocks B     ] kde-base/kdesu:3.5 (is blocking kde-base/kdebase-3.5.9-r4)

I think the best way is just to remove kdesu dependency and have a system wide &quot;su-something&quot; script which will execute su/gksu/kdesu depending on environment or user preferences.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>remi@gentoo.org</who>
            <bug_when>2008-06-14 15:31:04 0000</bug_when>
            <thetext>What about 2 identical .desktop launchers but each with a line specifying which DE should be allowed to present it.

I don&apos;t remember the exact syntax for it, but I&apos;m pretty sure it can be done.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nulleight@gmail.com</who>
            <bug_when>2008-06-14 15:33:41 0000</bug_when>
            <thetext>The fix for my problem would be
-               kde? ( kde-base/kdesu )
+               kde? ( || ( kde-base/kdesu kde-base/kdebase ) )

Also if you think a su script would be a good idea i could try to write one.
If there is no kdesu/gksu, one can launch xterm with su prompt like that:
xterm -e /bin/su -c &quot;program name&quot;
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>ford_prefect@gentoo.org</who>
            <bug_when>2008-06-14 16:25:44 0000</bug_when>
            <thetext>&gt; Also if you think a su script would be a good idea i could try to write one.
&gt; If there is no kdesu/gksu, one can launch xterm with su prompt like that:
&gt; xterm -e /bin/su -c &quot;program name&quot;

There&apos;s no guarantee that xterm will be present, really.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>nulleight@gmail.com</who>
            <bug_when>2008-06-15 12:45:53 0000</bug_when>
            <thetext>How about this:
If there is no xterm in worst case it would leave the gparted shortcut alone.
If both gnome and kde are enabled it will use gksu. I still think the global su script would be better because it would choose correct gksu/kdesu/xterm -c or something else at runtime and even after the user changed his dektop environment or preference without the need to edit gparted shortcut.

--- gparted-0.3.7.ebuild        2008-05-04 13:43:14.000000000 +0200
+++ gparted-0.3.7-nogksudep.ebuild      2008-06-15 16:28:36.000000000 +0200
@@ -12,13 +12,14 @@
 LICENSE=&quot;GPL-2&quot;
 SLOT=&quot;0&quot;
 KEYWORDS=&quot;~amd64 ~ppc ~sparc ~x86&quot;
-IUSE=&quot;fat hfs jfs ntfs reiserfs reiser4 xfs&quot;
+IUSE=&quot;fat gnome hfs kde jfs ntfs reiserfs reiser4 xfs&quot;

 common_depends=&quot;&gt;=sys-apps/parted-1.7.1
                &gt;=dev-cpp/gtkmm-2.8.0&quot;

 RDEPEND=&quot;${common_depends}
-               x11-libs/gksu
+               gnome? ( x11-libs/gksu )
+               kde? ( || ( kde-base/kdesu kde-base/kdebase ) )
                fat? ( sys-fs/dosfstools )
                ntfs? ( sys-fs/ntfsprogs )
                hfs? ( sys-fs/hfsutils )
@@ -34,5 +35,16 @@
 src_unpack() {
        gnome2_src_unpack

-       sed -i &quot;s:Exec=:Exec=gksu :&quot; gparted.desktop.in.in
+       if use gnome
+       then
+               sed -i &quot;s:Exec=:Exec=gksu :&quot; gparted.desktop.in.in
+
+       elif use kde
+       then
+               sed -i &quot;s:Exec=:Exec=kdesu :&quot; gparted.desktop.in.in
+
+       elif [[ -e &quot;/usr/bin/xterm&quot; ]]
+       then
+               sed -i &quot;s:Exec=:Exec=xterm -e /bin/su -c :&quot; parted.desktop.in.in
+       fi
 }
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>eva@gentoo.org</who>
            <bug_when>2008-06-15 18:56:27 0000</bug_when>
            <thetext>since we don&apos;t have a magic unique helper for every DE, I&apos;ve only took care of kde/gnome/xfce. If you don&apos;t have any of these you won&apos;t even see the entry anymore (because it makes no sense to show something that just throw an error like message at you).

I&apos;ve followed remi&apos;s suggestion which should work nicely, I hope it&apos;ll satisfy everyone. Closing for now.</thetext>
          </long_desc>
      
          <attachment
              isobsolete="0"
              ispatch="1"
              isprivate="0"
          >
            <attachid>151939</attachid>
            <date>2008-05-05 15:30 0000</date>
            <desc>gparted-0.3.7-ebuild.patch</desc>
            <filename>gparted_ebuild.patch</filename>
            <type>text/plain</type>
            <data encoding="base64">LS0tIGdwYXJ0ZWQtMC4zLjcuZWJ1aWxkLm9yaWcJMjAwOC0wNS0wNCAxMzo0MzoxNC4wMDAwMDAw
MDAgKzAyMDAKKysrIGdwYXJ0ZWQtMC4zLjcuZWJ1aWxkCTIwMDgtMDUtMDUgMTg6MjY6MDYuMDAw
MDAwMDAwICswMjAwCkBAIC0xMiwxMyArMTIsMTMgQEAKIExJQ0VOU0U9IkdQTC0yIgogU0xPVD0i
MCIKIEtFWVdPUkRTPSJ+YW1kNjQgfnBwYyB+c3BhcmMgfng4NiIKLUlVU0U9ImZhdCBoZnMgamZz
IG50ZnMgcmVpc2VyZnMgcmVpc2VyNCB4ZnMiCitJVVNFPSJmYXQgaGZzIGpmcyBudGZzIHJlaXNl
cmZzIHJlaXNlcjQgeGZzIGdub21lIgogCiBjb21tb25fZGVwZW5kcz0iPj1zeXMtYXBwcy9wYXJ0
ZWQtMS43LjEKIAkJPj1kZXYtY3BwL2d0a21tLTIuOC4wIgogCiBSREVQRU5EPSIke2NvbW1vbl9k
ZXBlbmRzfQotCQl4MTEtbGlicy9na3N1CisJCWdub21lPyAoIHgxMS1saWJzL2drc3UgKQogCQlm
YXQ/ICggc3lzLWZzL2Rvc2ZzdG9vbHMgKQogCQludGZzPyAoIHN5cy1mcy9udGZzcHJvZ3MgKQog
CQloZnM/ICggc3lzLWZzL2hmc3V0aWxzICkKQEAgLTM0LDUgKzM0LDcgQEAKIHNyY191bnBhY2so
KSB7CiAJZ25vbWUyX3NyY191bnBhY2sKIAotCXNlZCAtaSAiczpFeGVjPTpFeGVjPWdrc3UgOiIg
Z3BhcnRlZC5kZXNrdG9wLmluLmluCisJaWYgdXNlIGdub21lIDsgdGhlbgorCQlzZWQgLWkgInM6
RXhlYz06RXhlYz1na3N1IDoiIGdwYXJ0ZWQuZGVza3RvcC5pbi5pbgorCWZpCiB9Cg==
</data>        

          </attachment>
          <attachment
              isobsolete="0"
              ispatch="0"
              isprivate="0"
          >
            <attachid>152885</attachid>
            <date>2008-05-12 00:18 0000</date>
            <desc>gparted-0.3.7.ebuild</desc>
            <filename>gparted-0.3.7.ebuild</filename>
            <type>text/plain</type>
            <data encoding="base64">IyBDb3B5cmlnaHQgMTk5OS0yMDA4IEdlbnRvbyBGb3VuZGF0aW9uCiMgRGlzdHJpYnV0ZWQgdW5k
ZXIgdGhlIHRlcm1zIG9mIHRoZSBHTlUgR2VuZXJhbCBQdWJsaWMgTGljZW5zZSB2MgojICRIZWFk
ZXI6IC92YXIvY3Zzcm9vdC9nZW50b28teDg2L3N5cy1ibG9jay9ncGFydGVkL2dwYXJ0ZWQtMC4z
LjcuZWJ1aWxkLHYgMS4xIDIwMDgvMDUvMDQgMTE6NDM6MTQgZXZhIEV4cCAkCgppbmhlcml0IGV1
dGlscyBnbm9tZTIKCkRFU0NSSVBUSU9OPSJHbm9tZSBQYXJ0aXRpb24gRWRpdG9yIgpIT01FUEFH
RT0iaHR0cDovL2dwYXJ0ZWQuc291cmNlZm9yZ2UubmV0LyIKClNSQ19VUkk9Im1pcnJvcjovL3Nv
dXJjZWZvcmdlL2dwYXJ0ZWQvJHtQfS50YXIuYnoyIgoKTElDRU5TRT0iR1BMLTIiClNMT1Q9IjAi
CktFWVdPUkRTPSJ+YW1kNjQgfnBwYyB+c3BhcmMgfng4NiIKSVVTRT0iZmF0IGdub21lIGhmcyBr
ZGUgamZzIG50ZnMgcmVpc2VyZnMgcmVpc2VyNCB4ZnMiCgpjb21tb25fZGVwZW5kcz0iPj1zeXMt
YXBwcy9wYXJ0ZWQtMS43LjEKCQk+PWRldi1jcHAvZ3RrbW0tMi44LjAiCgpSREVQRU5EPSIke2Nv
bW1vbl9kZXBlbmRzfQoJCWdub21lPyAoIHgxMS1saWJzL2drc3UgKQoJCWtkZT8gKCBrZGUtYmFz
ZS9rZGVzdSApCgkJZmF0PyAoIHN5cy1mcy9kb3Nmc3Rvb2xzICkKCQludGZzPyAoIHN5cy1mcy9u
dGZzcHJvZ3MgKQoJCWhmcz8gKCBzeXMtZnMvaGZzdXRpbHMgKQoJCWpmcz8gKCBzeXMtZnMvamZz
dXRpbHMgKQoJCXJlaXNlcmZzPyAoIHN5cy1mcy9yZWlzZXJmc3Byb2dzICkKCQlyZWlzZXI0PyAo
IHN5cy1mcy9yZWlzZXI0cHJvZ3MgKQoJCXhmcz8gKCBzeXMtZnMveGZzcHJvZ3Mgc3lzLWZzL3hm
c2R1bXAgKSIKCkRFUEVORD0iJHtjb21tb25fZGVwZW5kc30KCQk+PWRldi11dGlsL3BrZ2NvbmZp
Zy0wLjEyCgkJPj1kZXYtdXRpbC9pbnRsdG9vbC0wLjM1LjUiCgpzcmNfdW5wYWNrKCkgewoJZ25v
bWUyX3NyY191bnBhY2sKCglpZiB1c2UgZ25vbWUKCXRoZW4KCQlpZiB1c2Uga2RlCgkJdGhlbgoJ
CQlkaWUgIk9ubHkgb25lIGRlc2t0b3AgbWlnaHQgYmUgZW5hYmxlZC4gRGlzYWJsZSBlaXRoZXIg
Z25vbWUgb3Iga2RlLiIKCQlmaQoJCXNlZCAtaSAiczpFeGVjPTpFeGVjPWdrc3UgOiIgZ3BhcnRl
ZC5kZXNrdG9wLmluLmluCglmaQoKCWlmIHVzZSBrZGUKCXRoZW4KCQlzZWQgLWkgInM6RXhlYz06
RXhlYz1rZGVzdSA6IiBncGFydGVkLmRlc2t0b3AuaW4uaW4KCWZpCn0K
</data>        

          </attachment>
    </bug>

</bugzilla>